package io.hmit.modules.log.service;

import io.hmit.common.page.PageData;
import io.hmit.common.service.BaseService;
import io.hmit.modules.log.dto.SysLogLoginDTO;
import io.hmit.modules.log.entity.SysLogLoginEntity;

import java.util.List;
import java.util.Map;

/**
 * 登录日志
 *
 * @author zsh 408538940@qq.com
 * @since 1.0.0
 */
public interface SysLogLoginService extends BaseService<SysLogLoginEntity> {

    PageData<SysLogLoginDTO> page(Map<String, Object> params);

    List<SysLogLoginDTO> list(Map<String, Object> params);

    void save(SysLogLoginEntity entity);
}